Get an alert definition by ID

GET /v1/alert_definitions/{id}

Get details of an existing alert by using the alert ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.read

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.get

Request

Response

200 - OK

id

string

This is the alert definition's persistent ID (UniqueIdentifier). This ID does not change when the alert is updated.

created_time

string

The time when the alert definition was created

updated_time

string

The time when the alert definition was last updated

alert_version_id

string

The previous or old alert ID

name

string

The name of the alert definition

description

string

A detailed description of what the alert monitors and when it triggers

enabled

boolean

Whether the alert is currently active and monitoring. If true, alert is active.

priority

string

The priority of the alert definition

active_on

ApisAlertDefinitionActivitySchedule

Defining when the alert is active

type

string

Alert type

group_by_keys

array

Keys used to group and aggregate alert data

incidents_settings

ApisAlertDefinitionAlertDefIncidentSettings

Incident creation and management settings

notification_group

ApisAlertDefinitionAlertDefNotificationGroup

Primary notification group for alert events

entity_labels

EntityLabelsEntry

Labels used to identify and categorize the alert entity

phantom_mode

boolean

Whether the alert is in phantom mode (creating incidents or not)

deleted

boolean

Whether the alert has been marked as deleted

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Update an alert definition by ID

PUT /v1/alert_definitions/{id}

Update an alert definition

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.manage

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.update

Request

Request Body

AlertDefinitionPrototype

name

Required *

string

The name of the alert definition

description

string

A detailed description of what the alert monitors and when it triggers

enabled

boolean

Whether the alert is currently active and monitoring

priority

string

The priority of the alert definition

active_on

ApisAlertDefinitionActivitySchedule

Defining when the alert is active

day_of_week

Required *

array

Days of the week when the alert is active.

start_time

Required *

object

Start time of the alert activity

end_time

Required *

object

Start time of the alert activity

type

Required *

string

Alert type

group_by_keys

array

Keys used to group and aggregate alert data. Not supported for `logs_new_value` alert type.

incidents_settings

ApisAlertDefinitionAlertDefIncidentSettings

Incident creation and management settings

notify_on

string

Indicate if the alert should be triggered or triggered and resolved.

minutes

integer

The time in minutes before the alert can be triggered again

notification_group

ApisAlertDefinitionAlertDefNotificationGroup

Primary notification group for alert events

group_by_keys

array

Group the alerts by these keys.

webhooks

array

The settings for webhooks associated with the alert definition

entity_labels

EntityLabelsEntry

Labels used to identify and categorize the alert entity

phantom_mode

boolean

Whether the alert is in phantom mode (creating incidents or not) Phantom alerts serve as building blocks for flow alerts without triggering independent notifications. Enabling this will remove the 'Notifications' section from the alert definition.

deleted

boolean

Whether the alert has been marked as deleted

Response

200 - OK

id

string

This is the alert definition's persistent ID (UniqueIdentifier). This ID does not change when the alert is updated.

created_time

string

The time when the alert definition was created

updated_time

string

The time when the alert definition was last updated

alert_version_id

string

The previous or old alert ID

name

string

The name of the alert definition

description

string

A detailed description of what the alert monitors and when it triggers

enabled

boolean

Whether the alert is currently active and monitoring. If true, alert is active.

priority

string

The priority of the alert definition

active_on

ApisAlertDefinitionActivitySchedule

Defining when the alert is active

type

string

Alert type

group_by_keys

array

Keys used to group and aggregate alert data

incidents_settings

ApisAlertDefinitionAlertDefIncidentSettings

Incident creation and management settings

notification_group

ApisAlertDefinitionAlertDefNotificationGroup

Primary notification group for alert events

entity_labels

EntityLabelsEntry

Labels used to identify and categorize the alert entity

phantom_mode

boolean

Whether the alert is in phantom mode (creating incidents or not)

deleted

boolean

Whether the alert has been marked as deleted

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Delete an alert definition by ID

DELETE /v1/alert_definitions/{id}

Delete an alert definition

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.manage

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.delete

Request

Response

204 - No Content

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

List alert definitions

GET /v1/alert_definitions

List alert definitions

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.read

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.list

Request

Response

200 - OK

alert_definitions

array

List of alert definitions

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Create an alert definition

POST /v1/alert_definitions

Create an alert definition

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.manage

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.create

Request

Request Body

AlertDefinitionPrototype

name

Required *

string

The name of the alert definition

description

string

A detailed description of what the alert monitors and when it triggers

enabled

boolean

Whether the alert is currently active and monitoring

priority

string

The priority of the alert definition

active_on

ApisAlertDefinitionActivitySchedule

Defining when the alert is active

day_of_week

Required *

array

Days of the week when the alert is active.

start_time

Required *

object

Start time of the alert activity

end_time

Required *

object

Start time of the alert activity

type

Required *

string

Alert type

group_by_keys

array

Keys used to group and aggregate alert data. Not supported for `logs_new_value` alert type.

incidents_settings

ApisAlertDefinitionAlertDefIncidentSettings

Incident creation and management settings

notify_on

string

Indicate if the alert should be triggered or triggered and resolved.

minutes

integer

The time in minutes before the alert can be triggered again

notification_group

ApisAlertDefinitionAlertDefNotificationGroup

Primary notification group for alert events

group_by_keys

array

Group the alerts by these keys.

webhooks

array

The settings for webhooks associated with the alert definition

entity_labels

EntityLabelsEntry

Labels used to identify and categorize the alert entity

phantom_mode

boolean

Whether the alert is in phantom mode (creating incidents or not) Phantom alerts serve as building blocks for flow alerts without triggering independent notifications. Enabling this will remove the 'Notifications' section from the alert definition.

deleted

boolean

Whether the alert has been marked as deleted

Response

201 - Created

id

string

This is the alert definition's persistent ID (UniqueIdentifier). This ID does not change when the alert is updated.

created_time

string

The time when the alert definition was created

updated_time

string

The time when the alert definition was last updated

alert_version_id

string

The previous or old alert ID

name

string

The name of the alert definition

description

string

A detailed description of what the alert monitors and when it triggers

enabled

boolean

Whether the alert is currently active and monitoring. If true, alert is active.

priority

string

The priority of the alert definition

active_on

ApisAlertDefinitionActivitySchedule

Defining when the alert is active

type

string

Alert type

group_by_keys

array

Keys used to group and aggregate alert data

incidents_settings

ApisAlertDefinitionAlertDefIncidentSettings

Incident creation and management settings

notification_group

ApisAlertDefinitionAlertDefNotificationGroup

Primary notification group for alert events

entity_labels

EntityLabelsEntry

Labels used to identify and categorize the alert entity

phantom_mode

boolean

Whether the alert is in phantom mode (creating incidents or not)

deleted

boolean

Whether the alert has been marked as deleted

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get an alert by ID

GET /v1/alerts/{id}

Get an alert by ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.read

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.get

Request

Response

200 - OK

id

string

Alert ID

name

string

Alert name

description

string

Alert description

is_active

boolean

Alert is active

severity

string

Alert severity

expiration

AlertsV1Date

Alert expiration date

condition

AlertsV2AlertCondition

Alert condition

notification_groups

array

Alert notification groups

filters

AlertsV1AlertFilters

Alert filters

active_when

AlertsV1AlertActiveWhen

When will the alert be active

notification_payload_filters

array

The JSON keys to be included in the alert notification. If unspecified, the full log text will be included in the alert notification.

meta_labels

array

The Meta labels to add to the alert

meta_labels_strings

array

The meta data added to the alert as a string separated by a ":" character.

unique_identifier

string

Alert unique identifier

incident_settings

AlertsV2AlertIncidentSettings

Incident settings, will create the incident based on this configuration

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Update an alert

PUT /v1/alerts/{id}

Update an alert.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.manage

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.update

Request

Request Body

AlertPrototype

name

Required *

string

Alert name

description

string

Alert description

is_active

Required *

boolean

Alert is active

severity

Required *

string

Alert severity

expiration

AlertsV1Date

Alert expiration date

year

integer

Year

month

integer

Month of the year

day

integer

Day of the month

condition

Required *

AlertsV2AlertCondition

Alert condition

notification_groups

array

Alert notification groups

filters

AlertsV1AlertFilters

Alert filters

severities

array

The severity of the logs to filter

metadata

object

The metadata filters

alias

string

The alias of the filter

text

string

The text to filter

ratio_alerts

array

The ratio alerts

filter_type

string

The type of the filter

active_when

AlertsV1AlertActiveWhen

When will the alert be active

timeframes

Required *

array

Activity timeframes of the alert

notification_payload_filters

array

The JSON keys to be included in the alert notification. If unspecified, the full log text will be included in the alert notification.

meta_labels

array

The Meta labels to add to the alert

meta_labels_strings

array

The meta data added to the alert as a string separated by a ":" character.

incident_settings

AlertsV2AlertIncidentSettings

Incident settings, will create the incident based on this configuration

retriggering_period_seconds

integer

The retriggering period of the alert in seconds

notify_on

string

Notify on setting

use_as_notification_settings

boolean

Use these settings for all notificaion webhook

Response

200 - OK

id

string

Alert ID

name

string

Alert name

description

string

Alert description

is_active

boolean

Alert is active

severity

string

Alert severity

expiration

AlertsV1Date

Alert expiration date

condition

AlertsV2AlertCondition

Alert condition

notification_groups

array

Alert notification groups

filters

AlertsV1AlertFilters

Alert filters

active_when

AlertsV1AlertActiveWhen

When will the alert be active

notification_payload_filters

array

The JSON keys to be included in the alert notification. If unspecified, the full log text will be included in the alert notification.

meta_labels

array

The Meta labels to add to the alert

meta_labels_strings

array

The meta data added to the alert as a string separated by a ":" character.

unique_identifier

string

Alert unique identifier

incident_settings

AlertsV2AlertIncidentSettings

Incident settings, will create the incident based on this configuration

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Delete an alert

DELETE /v1/alerts/{id}

Delete an alert

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.manage

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.delete

Request

Response

204 - No Content

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

List alerts

GET /v1/alerts

List alerts

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.read

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.list

Request

Response

200 - OK

alerts

array

Alerts

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Create an alert

POST /v1/alerts

Create an alert

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.alert-config.manage

Auditing

Calling this method generates the following auditing event.

  • logs.alert-config.create

Request

Request Body

AlertPrototype

name

Required *

string

Alert name

description

string

Alert description

is_active

Required *

boolean

Alert is active

severity

Required *

string

Alert severity

expiration

AlertsV1Date

Alert expiration date

year

integer

Year

month

integer

Month of the year

day

integer

Day of the month

condition

Required *

AlertsV2AlertCondition

Alert condition

notification_groups

array

Alert notification groups

filters

AlertsV1AlertFilters

Alert filters

severities

array

The severity of the logs to filter

metadata

object

The metadata filters

alias

string

The alias of the filter

text

string

The text to filter

ratio_alerts

array

The ratio alerts

filter_type

string

The type of the filter

active_when

AlertsV1AlertActiveWhen

When will the alert be active

timeframes

Required *

array

Activity timeframes of the alert

notification_payload_filters

array

The JSON keys to be included in the alert notification. If unspecified, the full log text will be included in the alert notification.

meta_labels

array

The Meta labels to add to the alert

meta_labels_strings

array

The meta data added to the alert as a string separated by a ":" character.

incident_settings

AlertsV2AlertIncidentSettings

Incident settings, will create the incident based on this configuration

retriggering_period_seconds

integer

The retriggering period of the alert in seconds

notify_on

string

Notify on setting

use_as_notification_settings

boolean

Use these settings for all notificaion webhook

Response

201 - Created

id

string

Alert ID

name

string

Alert name

description

string

Alert description

is_active

boolean

Alert is active

severity

string

Alert severity

expiration

AlertsV1Date

Alert expiration date

condition

AlertsV2AlertCondition

Alert condition

notification_groups

array

Alert notification groups

filters

AlertsV1AlertFilters

Alert filters

active_when

AlertsV1AlertActiveWhen

When will the alert be active

notification_payload_filters

array

The JSON keys to be included in the alert notification. If unspecified, the full log text will be included in the alert notification.

meta_labels

array

The Meta labels to add to the alert

meta_labels_strings

array

The meta data added to the alert as a string separated by a ":" character.

unique_identifier

string

Alert unique identifier

incident_settings

AlertsV2AlertIncidentSettings

Incident settings, will create the incident based on this configuration

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Submit a background query to be processed asynchronously.

POST /v1/background_query

Submits a query that runs in the background, allowing the client to continue without waiting for the results immediately.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.legacy-archive-query.execute

Auditing

Calling this method generates the following auditing event.

  • logs.archive-queries.submit

Request

Request Body

BackgroundQueryPrototype

query

Required *

string

The background query to be run.

syntax

Required *

string

The query syntax

start_date

string

Beginning of the time range for the query, default: end - 15 minutes or current time - 15 minutes if end is not defined.

end_date

string

End of the time range for the query. Default: start + 15 minutes or current time if start is not defined

now_date

string

Contextual `now` for the query, default: current time. Used by functions like now() in DataPrime.

Response

202 - Accepted

query_id

string

Generated query ID that can be used to obtain the status and results of a background query.

warnings

array

All warnings that can be issued when a query is run.

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get the status of a background query

GET /v1/background_query/{query_id}/status

Get the status of a background query

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.legacy-archive-query.execute

Auditing

Calling this method generates the following auditing event.

  • logs.archive-queries.status

Request

Response

200 - OK

submitted_at

string

The query has been submitted

metadata

array

Does not contain duplicate messages

warnings

array

Includes all warnings (For example: warnings that can apprear during query submission + runtime warnings)

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get the data of a background query

GET /v1/background_query/{query_id}/data

Retrieves the result of a previously submitted background query using its query ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.legacy-archive-query.execute

Auditing

Calling this method generates the following auditing event.

  • logs.archive-queries.get-data

Request

Response

200 - OK

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Cancel a background query

POST /v1/background_query/{query_id}/cancel

Cancel a background query

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.legacy-archive-query.execute

Auditing

Calling this method generates the following auditing event.

  • logs.archive-queries.cancel

Request

Response

202 - Accepted

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get service instance's Data Access Rules by ids

GET /v1/data_access_rules

Get service instance's Data Access Rules by ids

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.data-access-rule.read

Auditing

Calling this method generates the following auditing event.

  • logs.data-access-rule.list

Request

Path Parameters

Query Parameters

id

array

Array of data access rule IDs

Response

200 - OK

data_access_rules

array

Data access rule details

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Create a data access rule

POST /v1/data_access_rules

Create a data access rule

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.data-access-rule.manage

Auditing

Calling this method generates the following auditing event.

  • log.data-access-rule.create

Request

Request Body

DataAccessRulePrototype

display_name

Required *

string

Display Name for the data access rule

description

string

Description for the data access rule

filters

Required *

array

Filters for the data access rule

default_expression

Required *

string

Default Expression for the data access rule

Response

201 - Created

id

string

Data access rule ID

display_name

string

Data access rule Display Name

description

string

Optional data access rule description

filters

array

List of the filters comprising the data access rule

default_expression

string

Default expression to use when no filter matches the query

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Update a data access rule

PUT /v1/data_access_rules/{id}

Update a data access rule

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.data-access-rule.manage

Auditing

Calling this method generates the following auditing event.

  • logs.data-access-rule.update

Request

Request Body

DataAccessRulePrototype

display_name

Required *

string

Display Name for the data access rule

description

string

Description for the data access rule

filters

Required *

array

Filters for the data access rule

default_expression

Required *

string

Default Expression for the data access rule

Response

200 - OK

id

string

Data access rule ID

display_name

string

Data access rule Display Name

description

string

Optional data access rule description

filters

array

List of the filters comprising the data access rule

default_expression

string

Default expression to use when no filter matches the query

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Delete a data access rule

DELETE /v1/data_access_rules/{id}

Delete a data access rule

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.data-access-rule.manage

Auditing

Calling this method generates the following auditing event.

  • logs.data-access-rule.delete

Request

Response

204 - No Content

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get data usage metrics export status or return data usage report

GET /v1/data_usage

Get data usage metrics export status when invoked without query parameters. Get daily or detailed data usage report when invoked with query parameters.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.data-usage.read

Auditing

Calling this method generates the following auditing event.

  • logs.data-usage.get

Request

Path Parameters

Query Parameters

range

The range of days to retrieve data usage, by default it will use current month

query

Query to filter daily or detailed the data usage, by default it will use daily one

Response

200 - OK

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Update data usage metrics export status

PUT /v1/data_usage

Update data usage metrics export status

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.data-usage.manage

Auditing

Calling this method generates the following auditing event.

  • logs.data-usage-to-metrics.enable

Request

Request Body

DataUsageMetricsExportStatus

enabled

Required *

boolean

Whether metrics export is enabled or not. When 'true' metrics are exported.

Response

200 - OK

enabled

boolean

Whether metrics export is enabled or not. When 'true' metrics are exported.

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

List all enrichments

GET /v1/enrichments

List all enrichments

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.geo-enrichment.read
  • logs.custom-enrichment.read
  • logs.security-enrichment.read
  • logs.custom-enrichment-data.read

Auditing

Calling this method generates the following auditing event.

  • logs.enrichment.list

Request

Response

200 - OK

enrichments

array

The enrichments

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Create an enrichment

POST /v1/enrichments

Create an enrichment

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.geo-enrichment.manage
  • logs.custom-enrichment.manage
  • logs.security-enrichment.manage

Auditing

Calling this method generates the following auditing event.

  • logs.geo-enrichment.create
  • logs.custom-enrichment.create
  • logs.security-enrichment.create

Request

Request Body

EnrichmentPrototype

field_name

Required *

string

The name of the field to enrich

enrichment_type

Required *

EnrichmentV1EnrichmentType

The enrichment type

Response

201 - Created

id

integer

The enrichment ID

field_name

string

The enrichment field name

enrichment_type

EnrichmentV1EnrichmentType

The enrichment type

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Delete enrichments

DELETE /v1/enrichments/{id}

Delete enrichments

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.geo-enrichment.manage
  • logs.custom-enrichment.manage
  • logs.security-enrichment.manage

Auditing

Calling this method generates the following auditing event.

  • logs.geo-enrichment.delete
  • logs.custom-enrichment.delete
  • logs.security-enrichment.delete

Request

Response

204 - No Content

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Lists events to metrics definitions

GET /v1/events2metrics

Lists events to metrics definitions

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.events2metrics.read

Auditing

Calling this method generates the following auditing event.

  • logs.events2metrics.list

Request

Response

200 - OK

events2metrics

array

List of event to metrics definitions

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Creates events to metrics definitions

POST /v1/events2metrics

Creates events to metrics definitions

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.events2metrics.manage

Auditing

Calling this method generates the following auditing event.

  • logs.events2metrics.update

Request

Request Body

Event2MetricPrototype

name

Required *

string

Name of Events to Metrics to create

description

string

Description of Events to Metrics to create

permutations_limit

integer

The permutation limit of the Events to Metrics

metric_labels

array

Events to Metrics metric labels

metric_fields

array

Events to Metrics metric fields

type

string

Events to Metrics type

Response

201 - Created

id

string

Events to Metrics unique ID, required on update requests

name

string

Name of the Events to Metrics

description

string

Description of the Events to Metrics

create_time

string

Events to Metrics create time

update_time

string

Events to Metrics update time

permutations

ApisEvents2metricsV2E2mPermutations

Represents the limit of the permutations and if the limit was exceeded

metric_labels

array

Events to Metrics metric labels

metric_fields

array

Events to Metrics metric fields

type

string

Events to Metrics type

is_internal

boolean

A flag that represents if the Events to Metrics is for internal usage

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Gets events to metrics definitions by ID

GET /v1/events2metrics/{id}

Gets events to metrics definitions by ID

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.events2metrics.read

Auditing

Calling this method generates the following auditing event.

  • logs.events2metrics.get

Request

Response

200 - OK

id

string

Events to Metrics unique ID, required on update requests

name

string

Name of the Events to Metrics

description

string

Description of the Events to Metrics

create_time

string

Events to Metrics create time

update_time

string

Events to Metrics update time

permutations

ApisEvents2metricsV2E2mPermutations

Represents the limit of the permutations and if the limit was exceeded

metric_labels

array

Events to Metrics metric labels

metric_fields

array

Events to Metrics metric fields

type

string

Events to Metrics type

is_internal

boolean

A flag that represents if the Events to Metrics is for internal usage

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Updates events to metrics definitions

PUT /v1/events2metrics/{id}

Updates events to metrics definitions

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.events2metrics.manage

Auditing

Calling this method generates the following auditing event.

  • logs.events2metrics.update

Request

Request Body

Event2MetricPrototype

name

Required *

string

Name of Events to Metrics to create

description

string

Description of Events to Metrics to create

permutations_limit

integer

The permutation limit of the Events to Metrics

metric_labels

array

Events to Metrics metric labels

metric_fields

array

Events to Metrics metric fields

type

string

Events to Metrics type

Response

200 - OK

id

string

Events to Metrics unique ID, required on update requests

name

string

Name of the Events to Metrics

description

string

Description of the Events to Metrics

create_time

string

Events to Metrics create time

update_time

string

Events to Metrics update time

permutations

ApisEvents2metricsV2E2mPermutations

Represents the limit of the permutations and if the limit was exceeded

metric_labels

array

Events to Metrics metric labels

metric_fields

array

Events to Metrics metric fields

type

string

Events to Metrics type

is_internal

boolean

A flag that represents if the Events to Metrics is for internal usage

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Deletes events to metrics definitions by ID

DELETE /v1/events2metrics/{id}

Deletes events to metrics definitions by ID

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.events2metrics.manage

Auditing

Calling this method generates the following auditing event.

  • logs.events2metrics.delete

Request

Response

204 - No Content

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get an extension by ID

GET /v1/extensions/{id}

Get an extension by ID

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.extension-config.read

Auditing

Calling this method generates the following auditing event.

  • logs.extension.read

Request

Response

200 - OK

id

string

The ID of the Extension.

name

string

The name of the Extension.

revisions

array

The list of all revisions of the Extension, each representing a versioned snapshot of the Extension's functionality and appearance.

keywords

array

The list of keywords to enhance search capabilities on the front-end side.

changelog

array

The of changelog entries made in each version of the Extension.

deployment

ExtensionDeployment

Deployment details of an Extension scoped by extension ID in the path.

deprecation

ExtensionsV1Deprecation

Deprecation details of the Extension.

401 - Unauthorized request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get deployment details of an extension

GET /v1/extensions/{id}/deployment

Get deployment details of an extension using id of an extension

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.extension-config.read

Auditing

Calling this method generates the following auditing event.

  • logs.extension.read

Request

Response

200 - OK

version

string

The version of the Extension revision to deploy.

item_ids

array

The list of Extension item IDs to deploy.

applications

array

Applications that the Extension is deployed for. When this is empty, it is applied to all applications.

subsystems

array

Subsystems that the Extension is deployed. When this is empty, it is applied to all subsystems.

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Deploy or update deployment of an extension.

PUT /v1/extensions/{id}/deployment

Deploy or update deployment of an extension using extension ID

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.extension.manage

Auditing

Calling this method generates the following auditing event.

  • logs.extension.update
  • logs.extension.deploy

Request

Request Body

ExtensionDeployment

Deployment payload for the extension. `version` and `item_ids` are required.

version

Required *

string

The version of the Extension revision to deploy.

item_ids

Required *

array

The list of Extension item IDs to deploy.

applications

array

Applications that the Extension is deployed for. When this is empty, it is applied to all applications.

subsystems

array

Subsystems that the Extension is deployed. When this is empty, it is applied to all subsystems.

Response

200 - OK

version

string

The version of the Extension revision to deploy.

item_ids

array

The list of Extension item IDs to deploy.

applications

array

Applications that the Extension is deployed for. When this is empty, it is applied to all applications.

subsystems

array

Subsystems that the Extension is deployed. When this is empty, it is applied to all subsystems.

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Delete deployment of an extension

DELETE /v1/extensions/{id}/deployment

Delete deployment of an extension using extension ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.extension.manage

Auditing

Calling this method generates the following auditing event.

  • logs.extension.delete

Request

Response

200 - OK

failed_items

array

The list of failed items.

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get list of extensions

GET /v1/extensions

Get list of extensions

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.extension-config.read

Auditing

Calling this method generates the following auditing event.

  • logs.extensions.list
  • logs.deployed-extensions.list

Request

Path Parameters

Query Parameters

deployed

boolean

Optional deployment filter. If omitted, returns all extensions. If true, returns only deployed extensions. If false, returns only non-deployed extensions.

Response

200 - OK

extensions

array

List of Extensions.

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

List view's folders

GET /v1/view_folders

List view's folders

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.shared-view.read

Auditing

Calling this method generates the following auditing event.

  • logs.view-folder.list

Request

Response

200 - OK

view_folders

array

List of view folders

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Create view folder

POST /v1/view_folders

Create view folder

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.shared-view.manage

Auditing

Calling this method generates the following auditing event.

  • logs.view-folder.create

Request

Request Body

ViewFolderPrototype

name

Required *

string

View folder name

Response

201 - Created

id

string

Folder ID

name

string

Folder name

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get view folder

GET /v1/view_folders/{id}

Get view folder

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.shared-view.read

Auditing

Calling this method generates the following auditing event.

  • logs.view-folder.get

Request

Response

200 - OK

id

string

Folder ID

name

string

Folder name

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Replaces an existing view folder

PUT /v1/view_folders/{id}

Replaces an existing view folder

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.shared-view.manage

Auditing

Calling this method generates the following auditing event.

  • logs.view-folder.update

Request

Request Body

ViewFolderPrototype

name

Required *

string

View folder name

Response

200 - OK

id

string

Folder ID

name

string

Folder name

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Deletes a view folder by ID

DELETE /v1/view_folders/{id}

Deletes a view folder by ID

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.shared-view.manage

Auditing

Calling this method generates the following auditing event.

  • logs.view-folder.delete

Request

Response

204 - No Content

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Get log data retention tags

GET /v1/log_data_retention_tags

Get log data retention tags. Returns 404 if retention tags have not been activated.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.archive-retention.read

Auditing

Calling this method generates the following auditing event.

  • logs.retentions.get

Request

Response

200 - OK

tags

array

List of editable archive retention tags, excluding non-editable tags such as Default.

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found - Retention tags are not active. Use PUT to activate.

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests.

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Update log data retention tags

PUT /v1/log_data_retention_tags

Update log data retention tags. If retention tags have not been activated yet, the first successful PUT request will activate them. An archive bucket must be configured before retention tags can be activated.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.archive-retention.manage

Auditing

Calling this method generates the following auditing event.

  • logs.retentions.update

Request

Request Body

LogDataRetentionTags

tags

Required *

array

List of editable archive retention tags, excluding non-editable tags such as Default.

Response

204 - No Content

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict - Archive bucket is not configured.

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests.

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

List Outbound Integrations.

GET /v1/outgoing_webhooks

List Outbound Integrations.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.webhook.read

Auditing

Calling this method generates the following auditing event.

  • logs.webhook.list

Request

Path Parameters

Query Parameters

type

The type of the deployed outbound integrations to list.

Response

200 - OK

outgoing_webhooks

array

The list of deployed Outbound Integrations.

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Create an outbound integration.

POST /v1/outgoing_webhooks

Create an outbound integration.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.webhook.manage

Auditing

Calling this method generates the following auditing event.

  • logs.webhook.crete

Request

Request Body

OutgoingWebhookPrototype

type

Required *

string

The type of the deployed outbound integrations to list.

name

Required *

string

The name of the outbound integration.

url

string

The URL of the outbound integration. This value is null for IBM Events Notifications integration.

Response

201 - Created

id

string

The ID of the outbound integration.

type

string

The type of the deployed outbound integrations to list.

name

string

The name of the outbound integration.

url

string

The URL of the outbound integration. This value is null for IBM Events Notifications integration.

created_at

string

The time the outbound integration was created.

updated_at

string

The time the outbound integration was updated.

external_id

integer

The external ID of the outbound integration. This ID is used as integration_id for the notification configuration in Alerts

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Gets an outbound integration by ID.

GET /v1/outgoing_webhooks/{id}

Gets an outbound integration by ID.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.webhook.read

Auditing

Calling this method generates the following auditing event.

  • logs.webhook.get

Request

Response

200 - OK

id

string

The ID of the outbound integration.

type

string

The type of the deployed outbound integrations to list.

name

string

The name of the outbound integration.

url

string

The URL of the outbound integration. This value is null for IBM Events Notifications integration.

created_at

string

The time the outbound integration was created.

updated_at

string

The time the outbound integration was updated.

external_id

integer

The external ID of the outbound integration. This ID is used as integration_id for the notification configuration in Alerts

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

404 - Not Found

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

408 - Unknown

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

409 - Conflict

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

429 - Too many requests

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

500 - Internal server error

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

Update an outbound integration.

PUT /v1/outgoing_webhooks/{id}

Update an outbound integration.

Authorization

To call this method, you must be assigned one or more IAM access roles that include the following action.

  • logs.webhook.manage

Auditing

Calling this method generates the following auditing event.

  • logs.webhook.update

Request

Request Body

OutgoingWebhookPrototype

type

Required *

string

The type of the deployed outbound integrations to list.

name

Required *

string

The name of the outbound integration.

url

string

The URL of the outbound integration. This value is null for IBM Events Notifications integration.

Response

200 - OK

id

string

The ID of the outbound integration.

type

string

The type of the deployed outbound integrations to list.

name

string

The name of the outbound integration.

url

string

The URL of the outbound integration. This value is null for IBM Events Notifications integration.

created_at

string

The time the outbound integration was created.

updated_at

string

The time the outbound integration was updated.

external_id

integer

The external ID of the outbound integration. This ID is used as integration_id for the notification configuration in Alerts

400 - Bad Request

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

401 - Unauthorized

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

HTTP status code associated with the error

403 - Forbidden

errors

array

List of errors

trace

string

UUID uniquely identifying the request

status_code

integer

[...]
